Package com.stardog.stark.io

# Interface RDFHandler

All Known Subinterfaces:
  `RDFWriter`

All Known Implementing Classes:
  `AbstractRDFHandler`, `BinaryRDFWriter`, `CollectingRDFHandler`, `DelegatingRDFHandler`, `ForwardingRDFHandler`, `ForwardingRDFWriter`, `IOParserContext`, `JSONLDWriter`, `LineSupplierParserContext`, `NQuadsWriter`, `NTWriter`, `ParserContext`, `PrettyTurtleWriter`, `RDFHandlers.DefaultRDFHandler`, `RDFHandlers.GraphBuilder`, `RDFJSONWriter`, `RDFXMLPrettyWriter`, `RDFXMLWriter`, `StreamingJSONLDWriter`, `TransformingRDFHandler`, `TrigWriter`, `TurtleParserContext`, `TurtleWriter`

public interface RDFHandler

Interface for consuming RDF

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end()`
  Notification that processing has finished
  `void`
  `handle(Statement theStmt)`
  Event for when a statement was encountered
  `void`
  `namespace(String thePrefix, String theIRI)`
  Event for when a namespace was encountered
  `void`
  `start()`
  Notification that the processing has started

- ## Method Details

  - ### start

    void start()
    Notification that the processing has started
    Throws:
      `RDFHandlerException` - if there was an error while handling the start notification

  - ### namespace

    void namespace(@Nonnull String thePrefix, @Nonnull String theIRI)
    Event for when a namespace was encountered
    Parameters:
      `thePrefix` - the namespace prefix
      `theIRI` - the associated IRI
    Throws:
      `RDFHandlerException` - if there was an error while handling the namespace

  - ### handle

    void handle(@Nonnull Statement theStmt)
    Event for when a statement was encountered
    Parameters:
      `theStmt` - the statement
    Throws:
      `RDFHandlerException` - if there was an error while handling the statement

  - ### end

    void end()
    Notification that processing has finished
    Throws:
      `RDFHandlerException` - if there was an error while handling the end notificatino